<template>
  <div class="data-info">
    <el-card>
      <el-form :model="dataForm" label-width="120px">


        <el-form-item label="客户名称:">
        </el-form-item>
        <el-form-item label="客户联系人:">
        </el-form-item>

        <el-form-item label="联系电话:">
        </el-form-item>

        <el-form-item label="手机号码:">
        </el-form-item>

        <el-form-item label="联系地址:">

        </el-form-item>





      </el-form>

    </el-card>


      <div style="text-align:right; margin-top:20px;">
          <el-button type="warning" @click="btnSave">确认关闭</el-button>
      </div>
  </div>
</template>

<script>
  import Tinymce from "@/components/Tinymce";
  import {searchProject} from'@/api/project'
  export default{
    components:{
      Tinymce
    },
    props:{
      id:{
        type:Number,
        default:0
      },
    },
    watch:{
      id:{
        handler(v){
            let _this=this;
            if(v==null || v<0)return;
            _this.getInfo(v);
        },
        immediate: true,
        deep: true
      }
    },
    data(){
      return{
        activeName:'base',
        currentCategory:[],
        allCategories:[],
        dataForm:{
          prod:{
            items:[],
          }
        },
        statusOptions:[
          {
            status:5,
            name:'待审核'
          },
          {
            status:6,
            name:'已审核'
          },
          {
            status:7,
            name:'已拒绝'
          },
          {
            status:8,
            name:'草稿箱'
          },
          {
            status:9,
            name:'已下架'
          },
        ],
      }
    },

    mounted() {
      let _this=this;
      _this.initAllCategory();
    },
    methods:{
      //保存更新
      btnSave(e){
          let _this=this;

          if(_this.dataForm.title==''){
            _this.$alert("产品标题不能为空");
              return;
          }

         let dataForm={
           id:_this.dataForm.id,
           title:_this.dataForm.title,
           status:_this.dataForm.status,
           categoryId:_this.dataForm.categoryId,
           sku:_this.dataForm.sku
         };

          // productUpdate(_this.dataForm).then(res=>{
          //   if(!res)return;
          //    _this.$alert("产品审核操作成功");
          //    _this.$emit("bindUpdate");
          // })
      },

      //产品详情
      getInfo(id){
          let _this=this;
          let par={
            id:id,
          };
          // productInfo(par).then(res=>{
          //     if(!res)return;
          //     if(res.status!=200)return;
          //     _this.dataForm=res.data;
          // })
      },

      onChangeStatus(e){
          this.dataForm.status=e;
      },
      //修改分类信息
      onChangeCategory(e){
         let _this=this;
         _this.dataForm.categoryId=e;
      },
      //初始化所有分类
      initAllCategory(){
          let _this=this;
          let par={
            page:1,
            pageSize:9999,
            status:1
          };
          // searchGoodsCategory().then(res=>{
          //   if(!res)return;
          //   if(res.status!=200)return;
          //   _this.allCategories=res.data.data;
          // })
      }

    }
  }
</script>

<style lang="scss">
 @import './dataInfo.scss'
</style>
